define('dummy/templates/application', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Handlebars.template(function anonymous(Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
  helpers = this.merge(helpers, Ember['default'].Handlebars.helpers); data = data || {};
    var buffer = '', stack1, helper, options, helperMissing=helpers.helperMissing, escapeExpression=this.escapeExpression;


    data.buffer.push("<h1 id='title'>ui-bs-button-choice</h1>\n<h4>Enumerated choice dialog using Boostrap buttons</h4>\n<hr>\n<h5>Test Data</h5>\n<pre>\ncontroller: {\n	boundArray: ['one','two','three'],\n	boundHash: [\n		{id: 'one', name: 'One', sidecar: 'foo'},\n		{id: 'two', name: 'Two', sidecar: 'bar'},\n		{id: 'three', name: 'Three', sidecar: 'baz'}\n	],\n	selector: 'three',\n	dynArray: ['one','two'],\n	dynHashArray: [{id:1, name:'One'}, {id:2, name:'Two'}]\n}\n</pre>\n\n<hr>\n<h5>Radio Selectors</h5>\n<table class=\"demo-table\">\n	<tr>\n		<td class=\"col-xs-4\">\n			");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("one,two,three")
    },hashTypes:{'choices': "STRING"},hashContexts:{'choices': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n		</td>\n		<td class=\"col-xs-8\">\n			static, comma-delimited options<br/>\n			<code>\n{{ui-bs-button-choice choices='one,two,three'}}\n			</code>\n		</td>\n	</tr>\n	<tr>\n		<td class=\"col-xs-4\">\n			");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("one,two,three"),
      'selected': ("two")
    },hashTypes:{'choices': "STRING",'selected': "STRING"},hashContexts:{'choices': depth0,'selected': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n		</td>\n		<td class=\"col-xs-8\">\n			static, comma-delimited options, value code-selected<br/>\n			<code>\n{{ui-bs-button-choice choices='one,two,three' selected='two'}}\n			</code>\n		</td>\n	</tr>\n	<tr>\n		<td class=\"col-xs-4\">\n			");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("boundArray")
    },hashTypes:{'choices': "ID"},hashContexts:{'choices': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n		</td>\n		<td class=\"col-xs-8\">\n			a bound array of values<br/>\n			<code>\n{{ui-bs-button-choice choices=boundArray}}\n			</code>\n		</td>\n	</tr>\n	<tr>\n		<td class=\"col-xs-4\">\n			");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("boundHash")
    },hashTypes:{'choices': "ID"},hashContexts:{'choices': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n		</td>\n		<td class=\"col-xs-8\">\n			a bound array of objects<br/>\n			<code>\n{{ui-bs-button-choice choices=boundHash}}\n			</code>\n		</td>\n	</tr>\n	<tr>\n		<td class=\"col-xs-4\">\n			");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("one,two,three"),
      'canBeNull': ("true")
    },hashTypes:{'choices': "STRING",'canBeNull': "STRING"},hashContexts:{'choices': depth0,'canBeNull': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n		</td>\n		<td class=\"col-xs-8\">\n			null IS allowed, no selected value set<br/>\n			<code>\n{{ui-bs-button-choice choices=boundArray canBeNull='true'}}\n			</code>\n		</td>\n	</tr>\n	\n	<tr>\n		<td class=\"col-xs-4\">\n			");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("boundHash"),
      'labelProp': ("sidecar")
    },hashTypes:{'choices': "ID",'labelProp': "STRING"},hashContexts:{'choices': depth0,'labelProp': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n		</td>\n		<td class=\"col-xs-8\">\n			a bound array of objects, using explicit label<br/>\n			<code>\n{{ui-bs-button-choice choices=boundHash labelProp='sidecar'}}\n			</code>\n		</td>\n	</tr>\n	<tr>\n		<td class=\"col-xs-4\">\n			");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("boundHash"),
      'selected': ("selector")
    },hashTypes:{'choices': "ID",'selected': "ID"},hashContexts:{'choices': depth0,'selected': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n		</td>\n		<td class=\"col-xs-8\">\n			bound selector preset to 'three' [currently: ");
    stack1 = helpers._triageMustache.call(depth0, "selector", {hash:{},hashTypes:{},hashContexts:{},contexts:[depth0],types:["ID"],data:data});
    if(stack1 || stack1 === 0) { data.buffer.push(stack1); }
    data.buffer.push("]<br/>\n			<code>\n{{ui-bs-button-choice choices=boundHash selected=selector}}\n			</code>\n		</td>\n	</tr>\n	<tr>\n		<td class=\"col-xs-4\">\n			");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'changeEvent': ("handleRadioChange"),
      'choices': ("boundHash")
    },hashTypes:{'changeEvent': "STRING",'choices': "ID"},hashContexts:{'changeEvent': depth0,'choices': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n		</td>\n		<td class=\"col-xs-8\">\n			bound to changeEvent<br/>\n			<code>\n{{ui-bs-button-choice changeEvent='handleRadioChange' choices=boundHash}}\n			</code>\n		</td>\n	</tr>	\n</table>\n\n<hr>\n<h5>Checkbox Selectors</h5>\n<div class=\"checkbox-tests\">\n	<table class=\"demo-table\">\n		<tr>\n			<td class=\"col-xs-4\">\n				");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("one,two,three"),
      'type': ("checkbox")
    },hashTypes:{'choices': "STRING",'type': "STRING"},hashContexts:{'choices': depth0,'type': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n			</td>\n			<td class=\"col-xs-8\">\n				static, comma-delimited set of options<br/>\n				<code>\n	{{ui-bs-button-choice choices='one,two,three' type='checkbox'}}\n				</code>\n			</td>\n		</tr>\n	</table>\n</div>\n\n<hr>\n<h5>Promise/Deferred Data</h5>\n<pre>\nserver: null,\nstartupServer: function() {\n	var self = this;\n	var promisedArray = { \n		colors: [\n			{id:\"red\", name:\"Red\", group:\"primary\"},\n			{id:\"blue\", name:\"Blue\", group:\"primary\"},\n			{id:\"green\", name:\"Green\", group:\"primary\"},\n	]};\n	var promisedObject = { animal: {id:\"mammal\", examples:['lion','tiger','bear']} };\n	self.set('server', new Pretender(function(){\n	  this.get('/colors', function(request){\n		  return [200, {\"Content-Type\": \"application/json\"}, JSON.stringify(promisedArray)];\n	  }, 5000);\n	  this.get('/animals/:id', function(request){\n		  return [200, {\"Content-Type\": \"application/json\"}, JSON.stringify(promisedObject)];\n	  }, 5000);\n	}));		\n}\n</pre>\n\n<div id=\"promise-tests\">\n	<table class=\"demo-table\">\n		<tr>\n			<td class=\"col-xs-4\">\n				");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("promisedArray")
    },hashTypes:{'choices': "ID"},hashContexts:{'choices': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n			</td>\n			<td class=\"col-xs-8\">\n				Ember-data list/array returned<br/>\n				<code>\n	{{ui-bs-button-choice choices=promisedArray }}\n				</code>\n			</td>\n		</tr>\n		<tr>\n			<td class=\"col-xs-4\">\n				");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("promisedObject"),
      'choicesOffset': ("examples")
    },hashTypes:{'choices': "ID",'choicesOffset': "STRING"},hashContexts:{'choices': depth0,'choicesOffset': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n			</td>\n			<td class=\"col-xs-8\">\n				Ember-data returns object w/ array property<br/>\n				<code>\n	{{ui-bs-button-choice choices=promisedObject choicesOffset='examples'}}\n				</code>\n			</td>\n		</tr>\n	</table>\n</div>\n\n\n<hr>\n<h5>Other Tests</h5>\n<div id=\"other-tests\">\n\n	<table class=\"demo-table\">\n		<tr>\n			<td class=\"col-xs-4\">\n				");
    stack1 = helpers._triageMustache.call(depth0, "ui-bs-button-choice", {hash:{},hashTypes:{},hashContexts:{},contexts:[depth0],types:["ID"],data:data});
    if(stack1 || stack1 === 0) { data.buffer.push(stack1); }
    data.buffer.push("\n			</td>\n			<td class=\"col-xs-8\">\n				No choices provided<br/>\n				<code>\n	{{ui-bs-button-choice}}\n				</code>\n			</td>\n		</tr>\n		<tr>\n			<td class=\"col-xs-4\">\n				");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'missingChoicesText': ("you have nothing!")
    },hashTypes:{'missingChoicesText': "STRING"},hashContexts:{'missingChoicesText': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n			</td>\n			<td class=\"col-xs-8\">\n				No choices provided, bespoke text<br/>\n				<code>\n	{{ui-bs-button-choice missingChoicesText='you have nothing!'}}\n				</code>\n			</td>\n		</tr>\n		<tr>\n			<td class=\"col-xs-4\">\n				");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("dynArray"),
      'size': ("small")
    },hashTypes:{'choices': "ID",'size': "STRING"},hashContexts:{'choices': depth0,'size': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n			</td>\n			<td class=\"col-xs-8\">\n				dynamic choice modification to simple choices array<br/>\n				<button class=\"btn btn-default btn-sm\"");
    data.buffer.push(escapeExpression(helpers.action.call(depth0, "addArrayElement", {hash:{},hashTypes:{},hashContexts:{},contexts:[depth0],types:["STRING"],data:data})));
    data.buffer.push(">Add</button>\n				<button class=\"btn btn-default btn-sm\" ");
    data.buffer.push(escapeExpression(helpers.action.call(depth0, "removeArrayElement", {hash:{},hashTypes:{},hashContexts:{},contexts:[depth0],types:["STRING"],data:data})));
    data.buffer.push(">Remove</button><br/>\n			</td>\n		</tr>\n		<tr>\n			<td class=\"col-xs-4\">\n				");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("dynHashArray"),
      'size': ("small")
    },hashTypes:{'choices': "ID",'size': "STRING"},hashContexts:{'choices': depth0,'size': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n			</td>\n			<td class=\"col-xs-8\">\n				dynamic choice with hash choice array (<code>dynHashArray</code>)<br/>\n				<button class=\"btn btn-default btn-sm\"");
    data.buffer.push(escapeExpression(helpers.action.call(depth0, "addHashElement", {hash:{},hashTypes:{},hashContexts:{},contexts:[depth0],types:["STRING"],data:data})));
    data.buffer.push(">Add</button>\n				<button class=\"btn btn-default btn-sm\" ");
    data.buffer.push(escapeExpression(helpers.action.call(depth0, "removeHashElement", {hash:{},hashTypes:{},hashContexts:{},contexts:[depth0],types:["STRING"],data:data})));
    data.buffer.push(">Remove</button><br/>\n			</td>\n		</tr>\n		<tr>\n			<td class=\"col-xs-4\">\n				");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("dynHashArray"),
      'size': ("small")
    },hashTypes:{'choices': "ID",'size': "STRING"},hashContexts:{'choices': depth0,'size': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n			</td>\n			<td class=\"col-xs-8\">\n				adding simple element into hash choice array (<code>dynHashArray</code>)<br/>\n				<button class=\"btn btn-default btn-sm\"");
    data.buffer.push(escapeExpression(helpers.action.call(depth0, "addSimpleToHashElement", {hash:{},hashTypes:{},hashContexts:{},contexts:[depth0],types:["STRING"],data:data})));
    data.buffer.push(">Add</button>\n				<button class=\"btn btn-default btn-sm\" ");
    data.buffer.push(escapeExpression(helpers.action.call(depth0, "removeHashElement", {hash:{},hashTypes:{},hashContexts:{},contexts:[depth0],types:["STRING"],data:data})));
    data.buffer.push(">Remove</button><br/>\n			</td>\n		</tr>\n	\n	</table>\n</div>\n\n\n<hr>\n<h5>Formatting Tests</h5>\n<div id=\"formatting-tests\">\n	<table class=\"demo-table\">\n		<tr>\n			<td class=\"col-xs-4\">\n				");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("one,two,three"),
      'color': ("warning"),
      'type': ("checkbox")
    },hashTypes:{'choices': "STRING",'color': "STRING",'type': "STRING"},hashContexts:{'choices': depth0,'color': depth0,'type': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n			</td>\n			<td class=\"col-xs-8\">\n				checkbox using warning color<br/>\n				<code>\n	{{ui-bs-button-choice choices=boundArray color='warning' type='checkbox'}}\n				</code>\n			</td>\n		</tr>\n		<tr>\n			<td class=\"col-xs-4\">\n				");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'choices': ("one,two,three"),
      'color': ("primary")
    },hashTypes:{'choices': "STRING",'color': "STRING"},hashContexts:{'choices': depth0,'color': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n			</td>\n			<td class=\"col-xs-8\">\n				radio using primary color<br/>\n				<code>\n	{{ui-bs-button-choice choices='one,two,three' color='primary'}}\n				</code>\n			</td>\n		</tr>\n		<tr>\n			<td class=\"col-xs-4\">\n				");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'size': ("large"),
      'choices': ("one,two")
    },hashTypes:{'size': "STRING",'choices': "STRING"},hashContexts:{'size': depth0,'choices': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n			</td>\n			<td class=\"col-xs-8\">\n				big buttons<br/>\n				<code>\n	{{ui-bs-button-choice size='large' choices='one,two'}}\n				</code>\n			</td>\n		</tr>\n		<tr>\n			<td class=\"col-xs-4\">\n				");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'size': ("small"),
      'choices': ("one,two,three,four")
    },hashTypes:{'size': "STRING",'choices': "STRING"},hashContexts:{'size': depth0,'choices': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n			</td>\n			<td class=\"col-xs-8\">\n				small buttons<br/>\n				<code>\n	{{ui-bs-button-choice size='small' choices='one,two,three,four'}}\n				</code>\n			</td>\n		</tr>\n		<tr>\n			<td class=\"col-xs-4\">\n				");
    data.buffer.push(escapeExpression((helper = helpers['ui-bs-button-choice'] || (depth0 && depth0['ui-bs-button-choice']),options={hash:{
      'size': ("tiny"),
      'choices': ("one,two,three,four,five")
    },hashTypes:{'size': "STRING",'choices': "STRING"},hashContexts:{'size': depth0,'choices': depth0},contexts:[],types:[],data:data},helper ? helper.call(depth0, options) : helperMissing.call(depth0, "ui-bs-button-choice", options))));
    data.buffer.push("\n			</td>\n			<td class=\"col-xs-8\">\n				tiny buttons<br/>\n				<code>\n	{{ui-bs-button-choice size='tiny' choices='one,two,three,four,five' }}\n				</code>\n			</td>\n		</tr>\n\n	</table>\n</div>\n\n");
    return buffer;
    
  });

});